"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Origin = void 0;
const config_1 = require("../../common/config");
const default_1 = require("../../common/default");
const error_1 = require("../../error");
class Origin extends default_1.Default {
    constructor(orgId, userId, name) {
        error_1.ContextError.checkLength(orgId, config_1.MAX_ID_LENGTH);
        error_1.ContextError.checkLength(userId, config_1.MAX_USER_ID_LENGTH);
        error_1.ContextError.checkLength(name, config_1.MAX_NAME_X2_LENGTH);
        super();
        this.orgId = orgId;
        this.userId = userId;
        this.name = name;
    }
    static default() {
        return new Origin(config_1.NULL_UUID);
    }
}
__decorate([
    default_1.IndexDefaultMethod(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Origin)
], Origin, "default", null);
exports.Origin = Origin;
