"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Casualties = void 0;
const default_1 = require("../../common/default");
const types_1 = require("../../common/types");
const error_1 = require("../../error");
class Casualties extends default_1.Default {
    constructor(context, count, datime) {
        if (count < 0)
            throw new error_1.EventError('Count should be positive');
        super();
        this.count = count;
        this.context = context;
        this.datime = (datime || new Date()).toISOString();
    }
    setInformations(informations) {
        this.informations = informations;
        return this;
    }
    static default() {
        return new Casualties(types_1.CasualtiesContext.INITIAL_STATEMENT, 0);
    }
}
__decorate([
    default_1.IndexDefaultMethod(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Casualties)
], Casualties, "default", null);
exports.Casualties = Casualties;
