"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EType = void 0;
const config_1 = require("../../common/config");
const default_1 = require("../../common/default");
const error_1 = require("../../error");
class EType extends default_1.Default {
    constructor(categories, actors, locTypes, env) {
        categories.forEach((add) => error_1.EventError.checkLength(add, config_1.MAX_ETYPE_LENGTH));
        actors.forEach((add) => error_1.EventError.checkLength(add, config_1.MAX_ETYPE_LENGTH));
        locTypes.forEach((add) => error_1.EventError.checkLength(add, config_1.MAX_ETYPE_LENGTH));
        env === null || env === void 0 ? void 0 : env.forEach((add) => error_1.EventError.checkLength(add, config_1.MAX_ETYPE_LENGTH));
        super();
        this.category = categories;
        this.actor = actors;
        this.locType = locTypes;
        this.env = env;
    }
    static default() {
        return new EType([], [], []);
    }
}
__decorate([
    default_1.IdentifyArrayProperty(default_1.TypeOfArray.STRING_ARRAY),
    __metadata("design:type", Array)
], EType.prototype, "category", void 0);
__decorate([
    default_1.IdentifyArrayProperty(default_1.TypeOfArray.STRING_ARRAY),
    __metadata("design:type", Array)
], EType.prototype, "actor", void 0);
__decorate([
    default_1.IdentifyArrayProperty(default_1.TypeOfArray.STRING_ARRAY),
    __metadata("design:type", Array)
], EType.prototype, "locType", void 0);
__decorate([
    default_1.IdentifyArrayProperty(default_1.TypeOfArray.STRING_ARRAY),
    __metadata("design:type", Array)
], EType.prototype, "env", void 0);
__decorate([
    default_1.IndexDefaultMethod(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", EType)
], EType, "default", null);
exports.EType = EType;
