"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Informations = void 0;
const default_1 = require("../../common/default");
const types_1 = require("../../common/types");
class Informations extends default_1.Default {
    constructor(status) {
        super();
        this.status = status;
    }
    setTriage(triage) {
        this.triage = triage;
        return this;
    }
    setContamination(contamination) {
        this.contamination = contamination;
        return this;
    }
    setLocation(location) {
        this.location = location;
        return this;
    }
    setHealth(health) {
        this.health = health;
        return this;
    }
    static default() {
        return new Informations(types_1.CasualtiesStatus.UNKNOWN);
    }
}
__decorate([
    default_1.IndexDefaultMethod(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Informations)
], Informations, "default", null);
exports.Informations = Informations;
